// Persistence of Vision Ray Tracer Scene Description File
// File: *.pov
// Vers: 3.1
// Auth: Porrey

global_settings { assumed_gamma 2.2 }
#default { pigment { color rgb 1 } finish { ambient .4 diffuse .6 phong 0 } }

#include "colors.inc"
#include "textures.inc"
#include "shapes.inc"
#include "rp.inc" // "rp2.inc" = Bestandteil von rp.inc

#declare Scale = 10;
#declare Direction = 1; // 1, 2, ...
#declare Camera_Position = < 0.0, 1.5,-3.0*Direction >*Scale;
#declare Camera_lookat =   < 0.0, 0.75, 0.0 >*Scale;

camera { location Camera_Position
         direction z*Direction up y right x*4/3
         look_at  Camera_lookat }

light_source	{ < 1000, 750,-500 >*Scale Weiss }

background { color rgb < 160/255, 160/255, 160/255 > }  

plane { y, 0.0 pigment { checker Weiss*.75, Weiss*0.6 scale .5*Scale } finish { reflection 0.2 } rotate y*0 }

fog { fog_type 2 distance 5 color rgb < 160/255, 160/255, 160/255 > fog_offset 0.1 fog_alt 0.2 turbulence 0.8 }

#declare Holz = texture { Yellow_Pine scale 1.5 rotate y*90 }
#include "sPatch_Tisch.inc"

object { sPatch_Tisch scale Scale rotate y*-45 }